IllegalStateException: Cache provider not started

Description

https://stackoverflow.com/questions/50517881/hibernate-5-3-spring-5-ehcache-3-5-2-jdk-10-hibernate-says-cache-provider-no

when i start tomcat 9, jdk 10, hibernate 5.3 i get this error:

so first question, do i need to start something like, ehcache or hibernate-jcache or hibernate-ehcache? i am very much interested in a KISS solution, just need to get this up and running for a 10 year old workflow app upgrading from hib 3, spring 2.5, tomcat 6 etc... ehcache from back in hib 3 works awesome for us. so i am just looking for no-harm upgrade motivated by hibernate 5.3 - that is what we need to change.

so after much, much confusion about the easiest way to integrate hibernate 5.3 and ehcache, i decided on this:

ivy.xml

spring

jcache.xml from https://hibernate.atlassian.net/browse/HHH-12531 (https://hibernate.atlassian.net/browse/HHH-11953?focusedCommentId=102080&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#comment-102080)

Environment

tomcat 9, jdk 10, hibernate 5.3, spring 5, ehcache 3.5.2

Assignee

Tom Kast

Reporter

Tom Kast

Fix versions

None

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Feedback Requested

2018/05/25

Affects versions

Priority

Blocker
Configure